<?php
$isMaster = $this->environment()->getClient()->isMaster();
?>

<div ng-controller="monthController as self">
    <div class="row separator" ng-if="self.loading">
        <div class="col-xs-12 text-center">
            <?= $this->icon('loading') ?>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="btn-group pull-right">
                <button class="btn btn-excel"
                        type="button"
                        ng-click="self.export('months')"
                        tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                    <?= $this->icon('excel', 'fa-fw pointer') ?>
                </button>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <nvd3 options="chart.months.options" data="chart.months.data" api="apiMonths"></nvd3>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-4">
            <label for="settingsTime"><?= $this->translate('timesheet_field_convert') ?></label>
            <settings-time-select name="settings-time" ng-model="settingsTime"></settings-time-select>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered table-condensed table-hover">
                <thead>
                    <tr>
                        <th ng-if="self.isMaster"><?= ucfirst($this->translate('client')); ?></th>
                        <th><?= ucfirst($this->translate('month')); ?></th>
                        <th><?= ucfirst($this->translate('timesheet_type_done')); ?></th>
                        <th><?= ucfirst($this->translate('timesheet_type_done_percent')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat-start="client in self.datas.res.clients"></tr>
                    <tr ng-init="client.unwrapUsers = false"
                        ng-if="self.isMaster && self.datas.res.users[client.id].length !== 0"
                        ng-click="client.unwrapUsers = !client.unwrapUsers"
                        class="group pointer">
                        <td>
                            <i class="fa" ng-class="{
                            'fa-caret-right': !client.unwrapUsers,
                            'fa-caret-down': client.unwrapUsers
                        }"></i>
                            {{ client.name }}
                        </td>
                        <td colspan="2"></td>
                    </tr>
                    <tr ng-repeat="(month, time) in self.datas.res.months[client.id]"
                        ng-if="!self.isMaster || client.unwrapUsers">
                        <td ng-if="self.isMaster"></td>
                        <td>{{ month }}</td>
                        <td class="text-right">{{ time }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ time / settingsTime.hours | number:2 }} j.</span></td>
                        <td class="text-right">{{ self.percentMonth[month] | number:2 }}%</td>
                    </tr>
                    <tr ng-repeat-end></tr>
                    <tr>
                        <td ng-if="self.isMaster"></td>
                        <td><?= $this->translate('total') ?></td>
                        <td class="text-right">{{ self.totalDone | number:2 }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ self.totalDone / settingsTime.hours | number:2 }} j.</span></td>
                        <td class="text-right">100%</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>